;InnoSetupVersion=5.0.4

[Setup]
AppName=K-Lite Codec Pack
AppVerName=K-Lite Codec Pack 2.35 Standard
AppId=KLiteCodecPack
AppVersion=2.35
DefaultDirName={pf}\K-Lite Codec Pack
DefaultGroupName=K-Lite Codec Pack
UninstallDisplayName=K-Lite Codec Pack 2.35 Standard
OutputBaseFilename=klcodec235s
Compression=lzma
PrivilegesRequired=poweruser
ChangesAssociations=yes
AllowNoIcons=yes
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\divx.ico"; DestDir: "{app}"; 
Source: "{app}\codecs.ico"; DestDir: "{app}"; 
Source: "{app}\kl_upx.exe"; DestDir: "{app}"; Components: player\mpclassic; Flags: ignoreversion 
Source: "{sys}\cpuinf32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{sys}\msvcr70.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\readme_standard.rtf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\tools\fixcodecs.exe"; DestDir: "{app}\tools"; Flags: ignoreversion 
Source: "{app}\Media Player Classic\mplayerc,1.exe"; DestDir: "{app}\Media Player Classic"; DestName: "mplayerc.exe"; Components: player\mpclassic; 
Source: "{app}\Media Player Classic\mplayerc,2.exe"; DestDir: "{app}\Media Player Classic"; DestName: "mplayerc.exe"; Components: player\mpclassic; 
Source: "{app}\Media Player Classic\mplayerc,1.ini"; DestDir: "{app}\Media Player Classic"; DestName: "mplayerc.ini"; Components: player\mpclassic\settings; Flags: ignoreversion 
Source: "{app}\Media Player Classic\mplayerc,2.ini"; DestDir: "{app}\Media Player Classic"; DestName: "mplayerc.ini"; Components: player\mpclassic; Flags: onlyifdoesntexist 
Source: "{sys}\divxdec.ax"; DestDir: "{sys}"; Components: video\divx\dec; Flags: regserver ignoreversion 
Source: "{sys}\WMV9VCM.dll"; DestDir: "{sys}"; Components: video\wmv9vcm; Flags: uninsneveruninstall 
Source: "{sys}\ac3filter.ax"; DestDir: "{sys}"; Components: audio\ac3; Flags: regserver ignoreversion 
Source: "{sys}\matrix_mixer.ax"; DestDir: "{sys}"; Components: filters\matrixmixer; Flags: regserver ignoreversion 
Source: "{sys}\l3codecx.ax"; DestDir: "{sys}"; Components: audio\mp3; Flags: regserver ignoreversion 
Source: "{sys}\xvid.ax"; DestDir: "{sys}"; Components: video\xvid\dec; Flags: regserver ignoreversion 
Source: "{sys}\xvidcore.dll"; DestDir: "{sys}"; Components: video\xvid\dec; Flags: ignoreversion 
Source: "{sys}\CoreVorbis.ax"; DestDir: "{sys}"; Components: audio\vorbis; Flags: regserver ignoreversion 
Source: "{sys}\CoreAAC.ax"; DestDir: "{sys}"; Components: audio\aac; Flags: regserver ignoreversion 
Source: "{sys}\vsfilter,1.dll"; DestDir: "{sys}"; DestName: "vsfilter.dll"; Components: filters\vsfilter; Flags: regserver 
Source: "{sys}\vsfilter,2.dll"; DestDir: "{sys}"; DestName: "vsfilter.dll"; Components: filters\vsfilter; Flags: regserver 
Source: "{sys}\unrar.dll"; DestDir: "{sys}"; Components: filters\vsfilter; Flags: uninsneveruninstall 
Source: "{sys}\OpenQuicktimeLib.dll"; DestDir: "{sys}"; Components: video\3ivx\dec; Flags: comparetimestamp 
Source: "{sys}\3ivx.dll"; DestDir: "{sys}"; Components: video\3ivx\dec; 
Source: "{app}\tools\3ivxConfig.exe"; DestDir: "{app}\tools"; Components: video\3ivx\dec audio\3ivx\dec; 
Source: "{sys}\3ivxDSDecoder.ax"; DestDir: "{sys}"; Components: video\3ivx\dec; Flags: regserver 
Source: "{sys}\3ivxDSMediaSplitter.ax"; DestDir: "{sys}"; Components: video\3ivx\dec; Flags: regserver 
Source: "{sys}\3ivxDSAudioDecoder.ax"; DestDir: "{sys}"; Components: audio\3ivx\dec; Flags: regserver 
Source: "{app}\gspot\gspot.exe"; DestDir: "{app}\gspot"; Components: tools\gspot; Flags: ignoreversion 
Source: "{app}\gspot\GSpot25.dat"; DestDir: "{app}\gspot"; Components: tools\gspot; Flags: ignoreversion 
Source: "{app}\gspot\ExportFormat.txt"; DestDir: "{app}\gspot"; Components: tools\gspot; Flags: ignoreversion 

[Registry]
Root: HKLM; Subkey: "Software\KLCodecPack"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\KLCodecPack"; ValueName: "version"; ValueType: Dword; ValueData: "$EB"; 
Root: HKLM; Subkey: "Software\KLCodecPack"; ValueName: "type"; ValueType: String; ValueData: "standard"; 
Root: HKLM; Subkey: "Software\KLCodecPack"; ValueName: "installdir"; ValueType: String; ValueData: "{app}"; 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "div3"; ValueType: Dword; ValueData: "$0"; Components: video\divx\dec; Flags: dontcreatekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "divx"; ValueType: Dword; ValueData: "$0"; Components: video\divx\dec; Flags: dontcreatekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "dx50"; ValueType: Dword; ValueData: "$0"; Components: video\divx\dec; Flags: dontcreatekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "mp43"; ValueType: Dword; ValueData: "$0"; Components: video\3ivx\dec; Flags: dontcreatekey 
Root: HKLM; Subkey: "Software\GNU\ffdshow"; ValueName: "xvid"; ValueType: Dword; ValueData: "$0"; Components: video\xvid\dec; Flags: dontcreatekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc"; ValueName: "wmv9vcm.dll"; ValueType: String; ValueData: "Microsoft Windows Media Video 9"; Components: video\wmv9vcm; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32"; ValueName: "VIDC.wmv3"; ValueType: String; ValueData: "wmv9vcm.dll"; Components: video\wmv9vcm; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.wmv3"; Components: video\wmv9vcm; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.wmv3"; ValueName: "Description"; ValueType: String; ValueData: "Microsoft Windows Media Video 9"; Components: video\wmv9vcm; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.wmv3"; ValueName: "Driver"; ValueType: String; ValueData: "wmv9vcm.dll"; Components: video\wmv9vcm; 
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\MediaResources\icm\VIDC.wmv3"; ValueName: "FriendlyName"; ValueType: String; ValueData: "Microsoft Windows Media Video 9"; Components: video\wmv9vcm; 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; Components: video\divx\dec; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Disable logo"; ValueType: Dword; ValueData: "$1"; Components: video\divx\dec; 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Auto PP"; ValueType: Dword; ValueData: "$1"; Components: video\divx\dec; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Smooth Playback"; ValueType: Dword; ValueData: "$1"; Components: video\divx\dec; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Rotate Artwork"; ValueType: Dword; ValueData: "$0"; Components: video\divx; 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Check for Updates"; ValueType: Dword; ValueData: "$0"; Components: video\divx; 
Root: HKCU; Subkey: "Software\DivXNetworks\DivX4Windows"; ValueName: "Support Generic Mpeg-4"; ValueType: Dword; ValueData: "$0"; Components: video\xvid\dec; 
Root: HKCU; Subkey: "Software\GNU\XviD"; Components: video\xvid\dec; Flags: deletekey 
Root: HKCU; Subkey: "Software\GNU\XviD"; Components: video\xvid\dec; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Run"; ValueName: "Trickler"; Flags: deletevalue 
Root: HKLM; Subkey: "Software\3ivx"; Components: video\3ivx\dec audio\3ivx\dec; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\3ivx\CurrentVersion"; ValueName: "CodecSuite"; ValueType: Dword; ValueData: "$405011E"; Components: video\3ivx\dec audio\3ivx\dec; 
Root: HKLM; Subkey: "Software\3ivx\CurrentVersion"; ValueType: String; ValueData: "3ivx D4 4.5.1 Pro"; Components: video\3ivx\dec audio\3ivx\dec; 
Root: HKCU; Subkey: "Software\3ivx"; Components: video\3ivx\dec audio\3ivx\dec; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\AC3filter"; Components: audio\ac3; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "auto_gain"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\boostvolume; Flags: dontcreatekey 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "normalize_matrix"; ValueType: Dword; ValueData: "$0"; Components: audio\ac3\boostvolume; Flags: dontcreatekey 
Root: HKCU; Subkey: "Software\AC3filter\preset\_default"; ValueName: "master"; ValueType: String; ValueData: "3.162278"; Components: audio\ac3\boostvolume; Flags: dontcreatekey 
Root: HKCU; Subkey: "Software\matrixmixer"; Components: filters\matrixmixer; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\CoreAAC"; Components: audio\aac; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\CoreVorbis"; Components: audio\vorbis; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\PRR"; Components: compat\divxaf; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: "CLSID\{{083863F1-70DE-11d0-BD40-00A0C911CE86}\Instance\{{604C9C22-F099-4482-A416-A02DC1FB264C}"; Components: compat\ivideo; Flags: deletekey 
Root: HKCR; Subkey: "CLSID\{{604C9C22-F099-4482-A416-A02DC1FB264C}"; Components: compat\ivideo; Flags: deletekey 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp"; Components: tools\gspot; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "AllowOpenWith"; ValueType: Dword; ValueData: "$0"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "AppBuild"; ValueType: Dword; ValueData: "$4091500"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "AppVersion"; ValueType: Dword; ValueData: "$25201"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExpertMode"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportEnabled"; ValueType: Dword; ValueData: "$0"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportFormatSrc"; ValueType: Dword; ValueData: "$2"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportMode"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportNameOfFileForFormat"; ValueType: String; ValueData: "{app}\gspot\ExportFormat.txt"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportFile"; ValueType: String; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportOverwriteOk"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportPath"; ValueType: String; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "ExportUseFileForFormat"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "FileMaskIndex"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "LastMediaFile"; ValueType: String; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "LicenseDisplayed"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "PreloadCodecInfo"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "SaveWindowSize"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "StaticLogo"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; 
Root: HKCU; Subkey: "Software\GSpot Appliance Corp\GSpot\v2.5 Settings"; ValueName: "UseCodecInfo"; ValueType: Dword; ValueData: "$1"; Components: tools\gspot; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Gabest\Media Player Classic"; Components: player\mpclassic\settings; Flags: deletekey 
Root: HKCR; Subkey: "applications\mplayerc.exe"; Components: player\mpclassic; Flags: deletekey 
Root: HKCU; Subkey: "SOFTWARE\Gabest\vsfilter\General"; ValueName: "Mod32Fix"; ValueType: Dword; ValueData: "$1"; Components: filters\vsfilter; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.avi"; ValueName: "Application"; Tasks: fa_mpc\avi fa_wmp\avi; Flags: deletevalue 
Root: HKCR; Subkey: ".avi"; ValueType: String; ValueData: "avifile"; Tasks: fa_mpc\avi fa_wmp\avi; 
Root: HKCR; Subkey: ".avi\Shell"; Tasks: fa_mpc\avi fa_wmp\avi; Flags: deletekey 
Root: HKCR; Subkey: "avifile\DefaultIcon"; ValueType: String; ValueData: "{app}\divx.ico"; Tasks: fa_mpc\avi fa_wmp\avi; Flags: uninsdeletekey 
Root: HKCR; Subkey: "avifile\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\avi fa_wmp\avi; Flags: uninsdeletekey 
Root: HKCR; Subkey: "avifile\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\avi fa_wmp\avi; 
Root: HKCR; Subkey: "avifile\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\avi; 
Root: HKCR; Subkey: "avifile\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\avi; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mpg"; ValueName: "Application"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mpeg"; ValueName: "Application"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mpe"; ValueName: "Application"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.m2v"; ValueName: "Application"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletevalue 
Root: HKCR; Subkey: ".mpg"; ValueType: String; ValueData: "MPEG File"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; 
Root: HKCR; Subkey: ".mpg\Shell"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".mpg\DefaultIcon"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".mpeg"; ValueType: String; ValueData: "MPEG File"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; 
Root: HKCR; Subkey: ".mpeg\Shell"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".mpeg\DefaultIcon"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".mpe"; ValueType: String; ValueData: "MPEG File"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; 
Root: HKCR; Subkey: ".mpe\Shell"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".mpe\DefaultIcon"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".m2v"; ValueType: String; ValueData: "MPEG File"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; 
Root: HKCR; Subkey: ".m2v\Shell"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletekey 
Root: HKCR; Subkey: ".m2v\DefaultIcon"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: deletekey 
Root: HKCR; Subkey: "MPEG File\DefaultIcon"; ValueType: String; ValueData: "{app}\codecs.ico"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MPEG File\Shell"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MPEG File\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; 
Root: HKCR; Subkey: "MPEG File\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\mpeg fa_wmp\mpeg; 
Root: HKCR; Subkey: "MPEG File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\mpeg; 
Root: HKCR; Subkey: "MPEG File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\mpeg; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.wmv"; ValueName: "Application"; Tasks: fa_mpc\wmv fa_wmp\wmv; Flags: deletevalue 
Root: HKCR; Subkey: ".wmv"; ValueType: String; ValueData: "Windows Media Video"; Tasks: fa_mpc\wmv fa_wmp\wmv; 
Root: HKCR; Subkey: ".wmv\Shell"; Tasks: fa_mpc\wmv fa_wmp\wmv; Flags: deletekey 
Root: HKCR; Subkey: ".wmv\DefaultIcon"; Tasks: fa_mpc\wmv fa_wmp\wmv; Flags: deletekey 
Root: HKCR; Subkey: "Windows Media Video\DefaultIcon"; ValueType: String; ValueData: "{app}\codecs.ico"; Tasks: fa_mpc\wmv fa_wmp\wmv; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Windows Media Video\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\wmv fa_wmp\wmv; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Windows Media Video\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\wmv fa_wmp\wmv; 
Root: HKCR; Subkey: "Windows Media Video\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\wmv; 
Root: HKCR; Subkey: "Windows Media Video\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\wmv; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.ogm"; ValueName: "Application"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: deletevalue 
Root: HKCR; Subkey: ".ogm"; ValueType: String; ValueData: "ogmfile"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".ogm\Shell"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: deletekey 
Root: HKCR; Subkey: ".ogm\DefaultIcon"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: deletekey 
Root: HKCR; Subkey: "ogmfile\DefaultIcon"; ValueType: String; ValueData: "{app}\codecs.ico"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: uninsdeletekey 
Root: HKCR; Subkey: "ogmfile\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: uninsdeletekey 
Root: HKCR; Subkey: "ogmfile\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\ogm fa_wmp\ogm; 
Root: HKCR; Subkey: "ogmfile\Shell\Open\Command"; ValueType: String; ValueData: """{app}\media player classic\mplayerc.exe"" ""%L"""; Tasks: fa_mpc\ogm fa_wmp\ogm; 
Root: HKCR; Subkey: "Ogg File (*.ogg)\DefaultIcon"; ValueType: String; ValueData: "{app}\codecs.ico"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Ogg File (*.ogg)\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\ogm fa_wmp\ogm; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Ogg File (*.ogg)\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\ogm fa_wmp\ogm; 
Root: HKCR; Subkey: "Ogg File (*.ogg)\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\ogm; 
Root: HKCR; Subkey: "Ogg File (*.ogg)\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\ogm; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mkv"; ValueName: "Application"; Tasks: fa_mpc\mkv fa_wmp\mkv; Flags: deletevalue 
Root: HKCR; Subkey: ".mkv"; ValueType: String; ValueData: "Matroska File"; Tasks: fa_mpc\mkv fa_wmp\mkv; 
Root: HKCR; Subkey: ".mkv\Shell"; Tasks: fa_mpc\mkv fa_wmp\mkv; Flags: deletekey 
Root: HKCR; Subkey: ".mkv\DefaultIcon"; Tasks: fa_mpc\mkv fa_wmp\mkv; Flags: deletekey 
Root: HKCR; Subkey: "Matroska File\DefaultIcon"; ValueType: String; ValueData: "{app}\codecs.ico"; Tasks: fa_mpc\mkv fa_wmp\mkv; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Matroska File\Shell"; Tasks: fa_mpc\mkv fa_wmp\mkv; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Matroska File\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\mkv fa_wmp\mkv; 
Root: HKCR; Subkey: "Matroska File\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\mkv fa_wmp\mkv; 
Root: HKCR; Subkey: "Matroska File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\mkv; 
Root: HKCR; Subkey: "Matroska File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\mkv; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mp4"; ValueName: "Application"; Tasks: fa_mpc\mp4 fa_wmp\mp4; Flags: deletevalue 
Root: HKCR; Subkey: ".mp4"; ValueType: String; ValueData: "MPEG-4 File"; Tasks: fa_mpc\mp4 fa_wmp\mp4; 
Root: HKCR; Subkey: ".mp4\DefaultIcon"; ValueType: String; ValueData: "{app}\codecs.ico"; Tasks: fa_mpc\mp4 fa_wmp\mp4; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".mp4\Shell"; Tasks: fa_mpc\mp4 fa_wmp\mp4; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".mp4\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\mp4 fa_wmp\mp4; 
Root: HKCR; Subkey: ".mp4\Shell\Open"; ValueType: String; Tasks: fa_mpc\mp4 fa_wmp\mp4; 
Root: HKCR; Subkey: ".mp4\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\mp4; 
Root: HKCR; Subkey: ".mp4\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\mp4; 
Root: HKCR; Subkey: "MPEG-4 File\DefaultIcon"; ValueType: String; ValueData: "{app}\codecs.ico"; Tasks: fa_mpc\mp4 fa_wmp\mp4; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MPEG-4 File\Shell"; Tasks: fa_mpc\mp4 fa_wmp\mp4; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MPEG-4 File\Shell"; ValueType: String; ValueData: "open"; Tasks: fa_mpc\mp4 fa_wmp\mp4; 
Root: HKCR; Subkey: "MPEG-4 File\Shell\Open"; ValueType: String; ValueData: "&Open"; Tasks: fa_mpc\mp4 fa_wmp\mp4; 
Root: HKCR; Subkey: "MPEG-4 File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getMPCexe|}"; Tasks: fa_mpc\mp4; 
Root: HKCR; Subkey: "MPEG-4 File\Shell\Open\Command"; ValueType: String; ValueData: "{code:getWMPexe|}"; Tasks: fa_wmp\mp4; 

[INI]
FileName: "{win}\system.ini"; Section: "drivers32"; Key: "VIDC.wmv3"; String: "wmv9vcm.dll"; 

[Run]
Filename: "{sys}\regsvr32.exe"; Parameters: "/s quartz.dll"; Components: compat\dshow; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/s qcap.dll"; Components: compat\dshow; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s mpg4ds32.ax"; Components: video\3ivx\dec; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s divx_c32.ax"; Components: video\divx\dec; Flags: skipifdoesntexist 
Filename: "{app}\tools\fixcodecs.exe"; Parameters: "/verysilent /components=fix"; 
Filename: "{app}\kl_upx.exe"; Parameters: "-9 ""Media Player Classic\mplayerc.exe"""; StatusMsg: "Compressing: Media Player Classic"; Components: player\mpclassic; 
Filename: "http://codecs.r8.org/"; Components: checknews; Flags: shellexec skipifsilent nowait

[UninstallRun]
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s divxdec.ax"; Components: video\divx\dec; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s 3ivxDSDecoder.ax"; Components: video\3ivx\dec; Flags: skipifdoesntexist 
Filename: "{sys}\regsvr32.exe"; Parameters: "/u /s 3ivxDSMediaSplitter.ax"; Components: video\3ivx\dec; Flags: skipifdoesntexist 

[Icons]
Name: "{group}\Media Player Classic"; Filename: "{app}\Media Player Classic\mplayerc.exe"; WorkingDir: "{app}\Media Player Classic\"; Components: player\mpclassic; 
Name: "{commondesktop}\Media Player Classic"; Filename: "{app}\Media Player Classic\mplayerc.exe"; WorkingDir: "{app}\Media Player Classic\"; Components: player\mpclassic; Tasks: icons\mpcdesktop; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Media Player Classic"; Filename: "{app}\Media Player Classic\mplayerc.exe"; WorkingDir: "{app}\Media Player Classic\"; Components: player\mpclassic; Tasks: icons\mpcquicklaunch; 
Name: "{group}\Configuration\DivX"; Filename: "{sys}\rundll32.exe"; Parameters: "divxdec.ax,Config"; IconFilename: "{app}\divx.ico"; Components: video\divx\dec; 
Name: "{group}\Configuration\XviD"; Filename: "{sys}\rundll32.exe"; Parameters: "xvid.ax,Configure"; Components: video\xvid\dec; 
Name: "{group}\Configuration\Fix XviD decoder"; Filename: "{app}\tools\fixcodecs.exe"; Parameters: "/components=fix\xvid,fix\3ivx"; WorkingDir: "{app}\tools"; Components: video\xvid\dec; 
Name: "{group}\Configuration\3ivx"; Filename: "{app}\tools\3ivxConfig.exe"; WorkingDir: "{app}\tools"; Components: video\3ivx\dec audio\3ivx\dec; 
Name: "{group}\Configuration\AC3"; Filename: "{sys}\rundll32.exe"; Parameters: "ac3filter.ax,config"; IconFilename: "{sys}\ac3filter.ax"; Components: audio\ac3; 
Name: "{group}\Configuration\MatrixMixer"; Filename: "{sys}\rundll32.exe"; Parameters: "matrix_mixer.ax,config"; Components: filters\matrixmixer; 
Name: "{group}\Configuration\DirectVobSub"; Filename: "{sys}\rundll32.exe"; Parameters: "vsfilter.dll,DirectVobSub"; Components: filters\vsfilter; 
Name: "{group}\Tools\GSpot Codec Information"; Filename: "{app}\gspot\gspot.exe"; WorkingDir: "{app}\gspot"; Components: tools\gspot; 
Name: "{group}\Information\About"; Filename: "{app}\readme_standard.rtf"; 
Name: "{group}\Uninstall K-Lite Codec Pack"; Filename: "{uninstallexe}"; 

[Tasks]
Name: "icons"; Description: "Additional icons:"; Components: "player\mpclassic"; 
Name: "icons\mpcdesktop"; Description: "Create desktop icon for 'Media Player Classic'"; Components: "player\mpclassic"; 
Name: "icons\mpcquicklaunch"; Description: "Create QuickLaunch icon for 'Media Player Classic'"; Components: "player\mpclassic"; 
Name: "fa_mpc"; Description: "File associations:"; Components: "player\mpclassic"; 
Name: "fa_mpc\avi"; Description: "Always play .AVI files with Media Player Classic"; Components: "player\mpclassic"; 
Name: "fa_mpc\mpeg"; Description: "Always play .MPEG files with Media Player Classic"; Components: "player\mpclassic"; 
Name: "fa_mpc\wmv"; Description: "Always play .WMV files with Media Player Classic"; Components: "player\mpclassic"; 
Name: "fa_mpc\ogm"; Description: "Always play .OGM files with Media Player Classic"; Components: "player\mpclassic"; 
Name: "fa_mpc\mkv"; Description: "Always play .MKV files with Media Player Classic"; Components: "player\mpclassic"; 
Name: "fa_mpc\mp4"; Description: "Always play .MP4 files with Media Player Classic"; Components: "player\mpclassic"; 
Name: "fa_wmp"; Description: "File associations:"; Components: "NOT player\mpclassic"; Check: "foundWMP()"; 
Name: "fa_wmp\avi"; Description: "Always play .AVI files with Windows Media Player"; Components: "NOT player\mpclassic"; Check: "foundWMP()"; 
Name: "fa_wmp\mpeg"; Description: "Always play .MPEG files with Windows Media Player"; Components: "NOT player\mpclassic"; Check: "foundWMP()"; 
Name: "fa_wmp\wmv"; Description: "Always play .WMV files with Windows Media Player"; Components: "NOT player\mpclassic"; Check: "foundWMP()"; 
Name: "fa_wmp\ogm"; Description: "Always play .OGM files with Windows Media Player"; Components: "NOT player\mpclassic"; Check: "foundWMP()"; 
Name: "fa_wmp\mkv"; Description: "Always play .MKV files with Windows Media Player"; Components: "NOT player\mpclassic"; Check: "foundWMP()"; 
Name: "fa_wmp\mp4"; Description: "Always play .MP4 files with Windows Media Player"; Components: "NOT player\mpclassic"; Check: "foundWMP()"; 

[Components]
Name: "player"; Description: "Player"; 
Name: "player\mpclassic"; Description: "Media Player Classic [version 6.4.8.2]"; Types: "normal"; 
Name: "player\mpclassic\settings"; Description: "Use recommended settings"; Types: "normal"; 
Name: "video"; Description: "Video"; 
Name: "video\divx"; Description: "DivX Pro [version 5.2.1]"; Types: "normal"; 
Name: "video\divx\dec"; Description: "Decoding"; Types: "normal"; 
Name: "video\xvid"; Description: "XviD [version 1.0.3]"; Types: "normal"; 
Name: "video\xvid\dec"; Description: "Decoding"; Types: "normal"; 
Name: "video\3ivx"; Description: "3ivX Pro [version D4 4.5.1]"; Types: "normal"; 
Name: "video\3ivx\dec"; Description: "Decoding"; Types: "normal"; 
Name: "video\wmv9vcm"; Description: "Windows Media 9 VCM"; Types: "normal"; 
Name: "audio"; Description: "Audio"; 
Name: "audio\mp3"; Description: "MP3"; Types: "normal"; 
Name: "audio\ac3"; Description: "AC3 (AC3Filter)"; Types: "normal"; 
Name: "audio\ac3\boostvolume"; Description: "Boost AC3 volume"; 
Name: "audio\vorbis"; Description: "Vorbis (CoreVorbis)"; Types: "normal"; 
Name: "audio\aac"; Description: "AAC (CoreAAC)"; 
Name: "audio\3ivx"; Description: "AAC (3ivx)"; 
Name: "audio\3ivx\dec"; Description: "Decoding"; Types: "normal"; 
Name: "filters"; Description: "Other DirectShow Filters"; 
Name: "filters\vsfilter"; Description: "DirectVobSub"; 
Name: "filters\matrixmixer"; Description: "Matrix Mixer"; 
Name: "tools"; Description: "Tools"; 
Name: "tools\gspot"; Description: "GSpot Codec Information Appliance"; Types: "normal"; 
Name: "compat"; Description: "Compatibility"; 
Name: "compat\g400"; Description: "Disable G400 filter"; Types: "normal"; 
Name: "compat\ffdshow"; Description: "Disable ffdshow filter"; Types: "normal"; 
Name: "compat\divxaf"; Description: "Disable DivX Anti-Freeze"; Types: "normal"; 
Name: "compat\ivideo"; Description: "Disable InterVideo MPEG-4 Decoder"; Types: "normal"; 
Name: "compat\dshow"; Description: "Fix DirectShow"; Types: "normal"; 
Name: "checknews"; Description: "Check for codec news and updates"; Types: "normal"; Check: "checknews()"; 

[InstallDelete]
Type: files; Name: "{app}\Website.url"; 
Type: files; Name: "{group}\Website.lnk"; 
Type: filesandordirs; Name: "{group}\configuration"; 
Type: filesandordirs; Name: "{group}\information"; 
Type: filesandordirs; Name: "{group}\tools"; 
Type: files; Name: "{win}\Driver Cache\i386\DivXc32.dll"; 
Type: files; Name: "{win}\Driver Cache\i386\DivXc32f.dll"; 
Type: files; Name: "{win}\Driver Cache\i386\DivX_c32.ax"; 
Type: files; Name: "{sys}\ac3filter.cpl"; 
Type: files; Name: "{app}\readme_mega.txt"; 
Type: files; Name: "{app}\readme_full.txt"; 
Type: files; Name: "{app}\readme_standard.txt"; 
Type: files; Name: "{app}\readme_basic.txt"; 
Type: files; Name: "{app}\3ivxConfig.exe"; 
Type: files; Name: "{app}\kl_upx.exe"; 
Type: files; Name: "{app}\vidccleaner.exe"; 

[UninstallDelete]
Type: files; Name: "{sys}\divxdec.ax"; Components: video\divx\dec; 
Type: dirifempty; Name: "{app}\gspot"; 
Type: dirifempty; Name: "{app}"; 

[Types]
Name: "normal"; Description: "Normal"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
